| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Attributes
com.symantec.sepm.webservice.common.exception.InsufficientAccessServiceException Class Reference

Thrown when the caller to the web service has insufficient privileges to access the requested service. More...

Inheritance diagram for com.symantec.sepm.webservice.common.exception.InsufficientAccessServiceException:

## Public Member Functions
| InsufficientAccessServiceException (String message)
| Constructs an InsufficientAccessServiceException with a description of the error. More...
| InsufficientAccessServiceException (String message, int errorCode)
| Constructs an InsufficientAccessServiceException with a description of the error and a user specified error code. More...
| InsufficientAccessServiceException (String message, int errorCode, Throwable cause)
| Constructs an InsufficientAccessServiceException with a description of the error, a user specified error code, and a reference to the exception that caused this error. More...

## Static Public Attributes
static final long | serialVersionUID = ServiceRootException.serialVersionUID

## Detailed Description

Thrown when the caller to the web service has insufficient privileges to access the requested service.

## Constructor & Destructor Documentation

com.symantec.sepm.webservice.common.exception.InsufficientAccessServiceException.InsufficientAccessServiceException | ( | String | message | ) |

Constructs an InsufficientAccessServiceException with a description of the error.

Parameters

  message | a description of the error

com.symantec.sepm.webservice.common.exception.InsufficientAccessServiceException.InsufficientAccessServiceException | ( | String | message,
|  | int | errorCode
| ) |  |

Constructs an InsufficientAccessServiceException with a description of the error and a user specified error code.

Parameters

  message | a description of the error
  errorCode | error code

com.symantec.sepm.webservice.common.exception.InsufficientAccessServiceException.InsufficientAccessServiceException | ( | String | message,
|  | int | errorCode,
|  | Throwable | cause
| ) |  |

Constructs an InsufficientAccessServiceException with a description of the error, a user specified error code, and a reference to the exception that caused this error.

Parameters

  message | a description of the error
  errorCode | error code
  cause | the underlying exception

## Member Data Documentation

final long com.symantec.sepm.webservice.common.exception.InsufficientAccessServiceException.serialVersionUID = ServiceRootException.serialVersionUID
| static